
plan = get_plan(memory)

# check plan state
assert_equals(plan.state, 'done')
# check steps'state
assert_equals(plan.elements['step1'].state, 'history')
assert_equals(plan.elements['step2'].state, 'history')
assert_equals(plan.elements['step3'].state, 'history')
assert_equals(plan.elements['step4'].state, 'done')
